# [OmniOS-discuss] Building illumos on bloody

Dan McDonald danmcd at omniti.com
Wed Jan 18 19:23:50 UTC 2017

- Previous message: [OmniOS-discuss] Bloody's USB3/xhci counterpart now updated too
- Next message: [OmniOS-discuss] svcs -Z should ignore LX zones
- Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]

    As of yesterday's bloody, you no longer need to set PYTHON_VERSION and PYTHON_PKGVERS in your env files to point back to 2.6.

    bloody(tools/env)[0]% git diff
    diff --git a/usr/src/tools/env/omnios-illumos-gate.sh b/usr/src/tools/env/omnios-illumos-gate.sh
    index 8e14d95..c1406d9 100644
    --- a/usr/src/tools/env/omnios-illumos-gate.sh
    +++ b/usr/src/tools/env/omnios-illumos-gate.sh
    @@ -218,11 +218,6 @@ __GNUC="";           export __GNUC
     CW_NO_SHADOW=1;     export CW_NO_SHADOW
     ONLY_LINT_DEFS=-I${SPRO_ROOT}/sunstudio12.1/prod/include/lint; export ONLY_LINT_DEFS

    -# Starting with illumos bug 5969, upstream defaults to Python2.7.  We still
    -# use Python2.6 as of r151020
    -export PYTHON_VERSION="2.6"
    -export PYTHON_PKGVERS="-26"
    -
     # This goes along with lint - it is a series of the form "A [y|n]" which
     # means "go to directory A and run 'make lint'" Then mail me (y) the
     # difference in the lint output. 'y' should only be used if the area you're
    bloody(tools/env)[0]%

    FYI,
    Dan

- Previous message: [OmniOS-discuss] Bloody's USB3/xhci counterpart now updated too
- Next message: [OmniOS-discuss] svcs -Z should ignore LX zones
- Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]

More information about the OmniOS-discuss mailing list